Skip to content

SaaS Security

The SaaS Security service collection provides operations for monitoring and managing security across connected SaaS applications. Dismiss security checks and affected entities, retrieve activity monitors, alerts, application inventory, asset and device data, integration status, security check results, system logs, and user inventories. Manage custom integration builder transactions.

LanguageLast Update
Pythonv1.6.1
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
DismissAffectedEntityV3
dismiss_affected_entity
Dismiss affected entity.
DismissSecurityCheckV3
dismiss_security_check
Dismiss security check.
GetActivityMonitorV3
get_activity_monitor
Get activity monitor.
GetAlertsV3
get_alerts
Get alerts.
GetAppInventory
get_application_inventory
Get application inventory.
GetAppInventoryUsers
get_application_users
Get application inventory users.
GetAssetInventoryV3
get_asset_inventory
Get asset inventory.
GetDeviceInventoryV3
get_device_inventory
Get device inventory.
GetIntegrationsV3
get_integrations
Get integrations.
GetMetricsV3
get_metrics
Get metrics.
GetSecurityCheckAffectedV3
get_security_check
Get affected resources for security checks.
GetSecurityCheckComplianceV3
get_security_check_compliance
Get security check compliance.
GetSecurityChecksV3
get_security_checks
Get security checks.
GetSupportedSaasV3
get_supported_saas
Get supported SaaS applications.
GetSystemLogsV3
get_system_logs
Get system logs.
GetSystemUsersV3
get_system_users
Get system users.
GetUserInventoryV3
get_user_inventory
Get user inventory.
IntegrationBuilderEndTransactionV3
complete_integration_upload
End integration builder transaction.
IntegrationBuilderGetStatusV3
get_integration_builder_status
Get integration builder status.
IntegrationBuilderResetV3
reset_integration_builder
Reset integration builder.
IntegrationBuilderUploadV3
upload_integration_builder
Upload integration builder.

Dismiss affected entity for a security check.

POST /saas-security/entities/check-dismiss-affected/v3
Scope SaaS Security: WRITE Consumes · Produces application/json
PEP 8 dismiss_affected_entity
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format. Not required if using other keywords.
entitiesbodystringEntities.
idquerystringSecurity Check ID.
parametersquerydictionaryFull parameters payload in JSON format.
reasonbodystringReason for dismiss.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.dismiss_affected_entity(entities="string",
reason="string",
id="string")
print(response)

Dismiss security check by ID.

POST /saas-security/entities/check-dismiss/v3
Scope SaaS Security: WRITE Consumes · Produces application/json
PEP 8 dismiss_security_check
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format. Not required if using other keywords.
idquerystringSecurity Check ID.
parametersquerydictionaryFull parameters payload in JSON format.
reasonbodystringReason for dismissal.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.dismiss_security_check(reason="string", id="string")
print(response)

Get activity monitor data for SaaS security monitoring.

GET /saas-security/entities/monitor/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_activity_monitor
NameTypeData typeDescription
actorquerystringActor.
categoryquerystringComma separated list of categories.
from_datequerystringFrom Date.
integration_idquerystringIntegration ID.
limitqueryintegerMax number of logs to fetch.
projectionquerystringComma separated list of projections.
skipqueryintegerNumber of logs to skip.
to_datequerystringTo Date.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_activity_monitor(integration_id="string",
actor="string",
category=["string"],
projection=["string"],
from_date="string",
to_date="string",
limit=integer,
skip=integer)
print(response)

Get alerts for SaaS security monitoring.

GET /saas-security/entities/alerts/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_alerts
NameTypeData typeDescription
ascendingquerybooleanSort in ascending order.
from_datequerystringThe start date of the alert you want to get (in YYYY-MM-DD format).
idquerystringAlert ID.
integration_idquerystringComma separated list of integration ID’s of the alert you want to get.
last_idquerystringThe last id of the alert you want to get.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
to_datequerystringThe end date of the alert you want to get (in YYYY-MM-DD format).
typequerystringThe type of alert you want to get. Allowed values: configuration_drift, check_degraded, integration_failure, Threat.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_alerts(id="string",
limit=integer,
offset=integer,
last_id="string",
type="string",
integration_id=id_list,
from_date="string",
to_date="string",
ascending=boolean)
print(response)

Get application inventory data.

GET /saas-security/entities/apps/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_application_inventory
NameTypeData typeDescription
access_levelquerystringComma separated list of access levels.
groupsquerystringComma separated list of groups.
integration_idquerystringComma separated list of integration IDs.
last_activityquerystringLast activity was within or was not within the last ‘value’ days. Format: ‘was value’ or ‘was not value’ or ‘value’ (implies ‘was value’). ‘value’ is an integer.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
scopesquerystringComma separated list of scopes.
statusquerystringComma separated list of application statuses. Allowed values: approved, in review, rejected, unclassified.
typequerystringComma separated list of app types.
usersquerystringUsers. Format: ‘is equal value’ or ‘contains value’ or ‘value’ (implies ‘is equal value’).
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_application_inventory(type=["string"],
limit=integer,
offset=integer,
status=["string"],
access_level=["string"],
scopes=["string"],
users="string",
groups=["string"],
last_activity="string",
integration_id=id_list)
print(response)

Get application inventory users for a specific application.

GET /saas-security/entities/app-users/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_application_users
NameTypeData typeDescription
item_idquerystringItem ID in format: ‘integration_id|||app_id’ (item_id).
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_application_users(item_id="string")
print(response)

Get data inventory from SaaS security monitoring.

GET /saas-security/entities/data/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_asset_inventory
NameTypeData typeDescription
access_levelquerystringComma separated list of access levels.
integration_idquerystringComma separated list of integration IDs.
last_accessedquerystringLast accessed date was within or was not within the last ‘value’ days. Format: ‘was value’ or ‘was not value’ or ‘value’ (implies ‘was value’). ‘value’ is an integer.
last_modifiedquerystringLast modified date was within or was not within the last ‘value’ days. Format: ‘was value’ or ‘was not value’ or ‘value’ (implies ‘was value’). ‘value’ is an integer.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
password_protectedquerybooleanPassword protected.
resource_namequerystringResource name contains ‘value’ (case insensitive).
resource_ownerquerystringResource owner contains ‘value’ (case insensitive).
resource_owner_enabledquerybooleanResource owner enabled.
resource_typequerystringComma separated list of resource types.
unmanaged_domainquerystringComma separated list of unmanaged domains.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_asset_inventory(integration_id=id_list,
limit=integer,
offset=integer,
resource_type=["string"],
access_level=["string"],
last_accessed="string",
last_modified="string",
resource_name="string",
password_protected=boolean,
resource_owner="string",
resource_owner_enabled=boolean,
unmanaged_domain=["string"])
print(response)

Get device inventory from SaaS security monitoring.

GET /saas-security/entities/devices/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_device_inventory
NameTypeData typeDescription
emailquerystringEmail.
integration_idquerystringComma separated integration ID’s.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
privileged_onlyquerybooleanPrivileged Only.
unassociated_devicesquerybooleanUnassociated Devices.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_device_inventory(integration_id="string",
limit=integer,
offset=integer,
email="string",
privileged_only=boolean,
unassociated_devices=boolean)
print(response)

Get integrations configured for SaaS security monitoring.

GET /saas-security/entities/integrations/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_integrations
NameTypeData typeDescription
saas_idquerystringComma separated SaaS ID’s.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_integrations(saas_id="string")
print(response)

Get metrics for SaaS security checks and exposures.

GET /saas-security/aggregates/check-metrics/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_metrics
NameTypeData typeDescription
check_typequerystringCheck Type. Allowed values: apps, devices, users, assets, permissions, Falcon Shield Security Check, custom.
compliancequerybooleanCompliance.
impactquerystringImpact. Allowed values: 1, 2, 3.
integration_idquerystringComma separated list of integration IDs.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
statusquerystringExposure status. Allowed values: Passed, Failed, Dismissed, Pending, Can't Run, Stale.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_metrics(status="string",
limit=integer,
offset=integer,
integration_id=id_list,
impact="string",
compliance=boolean,
check_type="string")
print(response)

Get affected resources for security checks.

GET /saas-security/entities/check-affected/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_security_check
NameTypeData typeDescription
idquerystringSecurity Check ID.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_security_check(id="string", limit=integer, offset=integer)
print(response)

Get security check compliance information.

GET /saas-security/entities/compliance/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_security_check_compliance
NameTypeData typeDescription
idquerystringSecurity Check ID.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_security_check_compliance(id="string")
print(response)

Get security checks from SaaS security monitoring.

GET /saas-security/entities/checks/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_security_checks
NameTypeData typeDescription
check_tagsquerystringComma separated list of check tags names or ids.
check_typequerystringCheck Type. Allowed values: apps, devices, users, assets, permissions, Falcon Shield Security Check, custom.
compliancequerybooleanCompliance.
idquerystringSecurity Check ID.
impactquerystringImpact. Allowed values: Low, Medium, High.
integration_idquerystringComma separated list of integration IDs.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
statusquerystringExposure status. Allowed values: Passed, Failed, Dismissed, Pending, Can't Run, Stale.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_security_checks(id="string",
limit=integer,
offset=integer,
status="string",
integration_id=id_list,
impact="string",
compliance=boolean,
check_type="string",
check_tags=id_list)
print(response)

Get supported SaaS applications for security monitoring.

GET /saas-security/entities/supported-saas/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_supported_saas
NameTypeData typeDescription
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_supported_saas()
print(response)

Get system logs from SaaS security monitoring.

GET /saas-security/entities/system-logs/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_system_logs
NameTypeData typeDescription
from_datequerystringFrom Date (in YYYY-MM-DD format).
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
to_datequerystringTo Date (in YYYY-MM-DD format).
total_countquerybooleanFetch Total Count?
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_system_logs(from_date="string",
limit=integer,
offset=integer,
to_date="string",
total_count=boolean)
print(response)

Get system users from SaaS security monitoring.

GET /saas-security/entities/system-users/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_system_users
NameTypeData typeDescription
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_system_users()
print(response)

Get user inventory from SaaS security monitoring.

GET /saas-security/entities/users/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_user_inventory
NameTypeData typeDescription
emailquerystringEmail.
integration_idquerystringComma separated integration ID’s.
limitqueryintegerThe maximum number of objects to return.
offsetqueryintegerThe starting index of the results.
privileged_onlyquerybooleanPrivileged Only.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_user_inventory(integration_id="string",
limit=integer,
offset=integer,
email="string",
privileged_only=boolean)
print(response)

End data upload transaction for custom integration.

POST /saas-security/entities/custom-integration-close/v3
Scope SaaS Security: WRITE Consumes · Produces application/json
PEP 8 complete_integration_upload
NameTypeData typeDescription
idquerystringIntegration ID.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.complete_integration_upload(id="string")
print(response)

Get status of custom integration builder.

GET /saas-security/entities/custom-integration-status/v3
Scope SaaS Security: READ Consumes · Produces application/json
PEP 8 get_integration_builder_status
NameTypeData typeDescription
idquerystringIntegration ID.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_integration_builder_status(id="string")
print(response)

Reset custom integration builder.

POST /saas-security/entities/custom-integration-reset/v3
Scope SaaS Security: WRITE Consumes · Produces application/json
PEP 8 reset_integration_builder
NameTypeData typeDescription
idquerystringIntegration ID.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.reset_integration_builder(id="string")
print(response)

Upload data for custom integration builder.

POST /saas-security/entities/custom-integration-upload/v3
Scope SaaS Security: WRITE Consumes · Produces application/json
PEP 8 upload_integration_builder
NameTypeData typeDescription
bodybodydictionaryFull body payload in JSON format.
databodystringData.
idquerystringIntegration ID.
source_idquerystringSource ID.
parametersquerydictionaryFull parameters payload in JSON format.
from falconpy import SaasSecurity
falcon = SaasSecurity(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.upload_integration_builder(data="string",
id="string",
source_id="string")
print(response)